<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
AbstractInequalityCone
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.impl.AbstractInequalityCone class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractInequalityCone";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractInequalityCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/AbstractEqualityCone.html" title="class in ch.javasoft.polco.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/impl/AbstractInequalityCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractInequalityCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.impl</FONT>
<BR>
Class AbstractInequalityCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">ch.javasoft.polco.impl.AbstractPolyhedralCone</A>&lt;Num,Arr&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.impl.AbstractInequalityCone&lt;Num,Arr&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A>&lt;Num,Arr&gt;, <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;Num,Arr&gt;</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../ch/javasoft/polco/impl/DefaultInequalityCone.html" title="class in ch.javasoft.polco.impl">DefaultInequalityCone</A>, <A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="class in ch.javasoft.polco.transform">TransformedInequalityCone</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractInequalityCone.html#line.47"><B>AbstractInequalityCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A>&lt;Num,Arr&gt;<DT>implements <A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A>&lt;Num,Arr&gt;</DL>
</PRE>

<P>
The <code>AbstractInequalityCone</code> mainly implements the methods of the
 <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco"><CODE>PolyhedralCone</CODE></A>.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.polco.impl.<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#arrayOps">arrayOps</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#linAlgOps">linAlgOps</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#numberArrayOps">numberArrayOps</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#numberOps">numberOps</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#AbstractInequalityCone(ch.javasoft.math.linalg.LinAlgOperations)">AbstractInequalityCone</A></B>(<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;&nbsp;ops)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#getA()">getA</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an empty matrix, corresponding to the equality matrix in the 
 definition of the polyhedral cone.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#getA(int, int)">getA</A></B>(int&nbsp;row,
         int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Throws always an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang"><CODE>IndexOutOfBoundsException</CODE></A>, since matrix A 
 contains equalities and this cone is defined solely by inequalities</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#getRowCountA()">getRowCountA</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns always 0 since matrix A contains equalities and this cone is 
 defined solely by inequalities</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a short string representation of this polyhedral cone, without
 matrix values, but including matrix dimensions.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a verbose string representation of this polyhedral cone, 
 including the matrix values and spanning multiple lines.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.polco.impl.<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#appendMatrixString(boolean, java.io.PrintWriter)">appendMatrixString</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#getLinAlgOperations()">getLinAlgOperations</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#getMatrixDimensionString(boolean)">getMatrixDimensionString</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#normalize(Arr)">normalize</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#normalize(Arr[])">normalize</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#toMultilineString()">toMultilineString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.InequalityPolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.polco.<A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html#toMultilineString()">toMultilineString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.PolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.polco.<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB()">getB</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB(int, int)">getB</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getDimensions()">getDimensions</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getLinAlgOperations()">getLinAlgOperations</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountB()">getRowCountB</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#hashCode()">hashCode</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractInequalityCone(ch.javasoft.math.linalg.LinAlgOperations)"><!-- --></A><H3>
AbstractInequalityCone</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractInequalityCone.html#line.49"><B>AbstractInequalityCone</B></A>(<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;&nbsp;ops)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getRowCountA()"><!-- --></A><H3>
getRowCountA</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractInequalityCone.html#line.53"><B>getRowCountA</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html#getRowCountA()">InequalityPolyhedralCone</A></CODE></B></DD>
<DD>Returns always 0 since matrix A contains equalities and this cone is 
 defined solely by inequalities
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html#getRowCountA()">getRowCountA</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountA()">getRowCountA</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>always zero</DL>
</DD>
</DL>
<HR>

<A NAME="getA()"><!-- --></A><H3>
getA</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>[] <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractInequalityCone.html#line.56"><B>getA</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html#getA()">InequalityPolyhedralCone</A></CODE></B></DD>
<DD>Returns an empty matrix, corresponding to the equality matrix in the 
 definition of the polyhedral cone. For this inequality cone, only
 inequalities are used to define the cone.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html#getA()">getA</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA()">getA</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>an empty array, since this cone is defined without equalities</DL>
</DD>
</DL>
<HR>

<A NAME="getA(int, int)"><!-- --></A><H3>
getA</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractInequalityCone.html#line.59"><B>getA</B></A>(int&nbsp;row,
                int&nbsp;col)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html#getA(int, int)">InequalityPolyhedralCone</A></CODE></B></DD>
<DD>Throws always an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang"><CODE>IndexOutOfBoundsException</CODE></A>, since matrix A 
 contains equalities and this cone is defined solely by inequalities
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html#getA(int, int)">getA</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA(int, int)">getA</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="writeToMultiline(java.io.Writer)"><!-- --></A><H3>
writeToMultiline</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractInequalityCone.html#line.64"><B>writeToMultiline</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#writeToMultiline(java.io.Writer)">PolyhedralCone</A></CODE></B></DD>
<DD>Returns a verbose string representation of this polyhedral cone, 
 including the matrix values and spanning multiple lines.
 <p>
 If both matrices are non-empty, the returned string looks for instance as 
 follows:
 <pre>
 P = { A x = 0 , B x >= 0 }
 A = 7x2 {
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ 0 , -3 ]
   [ -1 , -1/2 ]
   [ 1/2 , -1/2 ]
 }
 B = 5x2 {
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 1/2 , -1/2 ]
   [ 1 , 1 ]
 }
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractInequalityCone.html#line.71"><B>toString</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#toString()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns a short string representation of this polyhedral cone, without
 matrix values, but including matrix dimensions.
 <p>
 If both matrices are non-empty, the returned string looks for instance as 
 follows:
 <pre>
 P = { A x = 0 , B x >= 0 , A:7x2 , B:5x2 }
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html#toString()">toString</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#toString()">toString</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#toString()">toString</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="type parameter in AbstractInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractInequalityCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/AbstractEqualityCone.html" title="class in ch.javasoft.polco.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/impl/AbstractInequalityCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractInequalityCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
